Subject: Re: bug#57212: 29.0.50; [PATCH] Citizen's arrest of end-of-defun-moves-to-eol

From: Eli Zaretskii <[email-masked]>
Date: Sun, 14 Aug 2022 21:39:03 +0300

> From: [email-masked]
> Date: Sun, 14 Aug 2022 14:02:55 -0400
> 
> To the extent I can incur further ill-will, I'll remind the maintainers
> feature-flag proliferation is a programming tradition you should
> work against, not encourage.  If you're convinced narrowing within
> a critical section of redisplay is safe (and I suspect it is), do
> it all the time, not just when "long_line_optimizations_p" is true.

If you'd read the code guarded by that flag and understand what it
does, you wouldn't have made such nonsensical proposals.  Safety has
nothing to do with that flag, nothing at all.  The reason is even
spelled out in the documentation and in some comments to the code, if
the code itself is too obscure to grasp.

(And what does this have to do with end-of-defun-moves-to-eol,
anyway??)